clear
clc
clear global

load No_FF_no_Recal_Order_4.mat

ALP=([1;theta(1:T-1)]./theta).*(Y./([ns;n(1:T-1)]));

% Compute Elasticity
ALPc=log(ALP)-hpfilter(log(ALP),1600);
wc=log(w)-hpfilter(log(w),1600);
Elast=regress(wc,ALPc);

% Compute LM Stats
ALPc=log(ALP)-hpfilter(log(ALP),10^5);
vc=log(v)-hpfilter(log(v),10^5);
uc=log(1-n)-hpfilter(log(1-n),10^5);
Phic=log(Phi)-hpfilter(log(Phi),10^5);

% Compute BC Stats
Yc=log(Y)-hpfilter(log(Y),1600);
cc=log(c)-hpfilter(log(c),1600);
investment=k(2:end)-(1-delta)*k(1:end-1);
invc=log(investment)-hpfilter(log(investment),1600);

% Present Results
disp(['Elasticity of wages WRT ALP: ' num2str(Elast)]);
disp(' ')
disp(['Mean of Job Finding Rate: ' num2str(mean(f))]);
disp(' ')
disp(['Mean of Labor Market Tightness: ' num2str(mean(Phi))]);
disp(' ')
disp(['Volatility of ALP: ' num2str(std(ALPc)*100)]);
disp(' ')
disp(['Autocorrelation of ALP: ' num2str(corr(ALPc(1:T-1),ALPc(2:T)))]);
disp(' ')
disp(['ICC Binding Rate: ' num2str(length(find(lambda>2*mean(lambda)-min(lambda))/T))]);
disp(' ')
disp(['Volatility of Vacancies: ' num2str(std(vc)*100)]);
disp(' ')
disp(['Volatility of Unemployment: ' num2str(std(uc)*100)]);
disp(' ')
disp(['Volatility of Labor Market Tightness: ' num2str(std(Phic)*100)]);
disp(' ')
disp(['Volatility of Output: ' num2str(std(Yc)*100)]);
disp(' ')
disp(['Volatility of Consumption: ' num2str(std(cc)*100)]);
disp(' ')
disp(['Volatility of Investment: ' num2str(std(invc)*100)]);
disp(' ')
disp(['Cyclicality of Consumption: ' num2str(corr(cc,Yc))]);
disp(' ')
disp(['Cyclicality of Investment: ' num2str(corr(invc,Yc))]);
disp(' ')
disp(['Correlation Between Vacancies and Unemployment: ' num2str(corr(vc,uc(1:T)))]);
