%% This directory contains Matlab Code to implement the GSSA solution for
%% "Moral Hazard in Lending and Labor Market Volatility" (JMCB)
%
%% Basic Structure
%
%%   - OB_Baseline: 
%       - Contains the programs for our baseline model with finanical 
%       frictions.
%       - Two subdirectories with (slightly) different ways of approx.       
%           -> No_Reduced_Wage_Equation
%           -> Reduced_Wage_Equation
%
%%   - No_FF_with_Recal: 
%       - Contains the programs for the specification where financial
%       frictions are shutdown and the model is recalibrated to hit all
%       other empirical targets
%
%%   - No_FF_no_Recal:
%       - Contains the programs for the specification where financial
%       frictions are shutdown and all parameters are held fixed at the
%       levels determined in the OB_Baseline case
%
%%   - Appendix_Code:
%       - Contains the programs for the specification with both financial
%       frictions and internal finance presented in the appendix of the
%       paper
%
%%   - Recreate_Plots:
%       - Contains code to recreate the impulse response functions and time
%       series presented in the paper.  