clear
clc
clear global

load No_FF_with_Recal_Order_4_IRF.mat

invest=k(2:end)-(1-delta)*k(1:end-1);
ANBc=c;
ANBk=k;
ANBinv=invest;
ANBY=Y;
ANBw=w;
ANBr=r;
ANBlambda=lambda;
ANBMu=Mu;
ANBs=s;
ANBv=v;
ANBu=1-n;
ANBf=f;
ANBq=q;
ANBPhi=Phi;
ANBmatch=match;
ANBprod=theta;

load No_FF_no_Recal_IRF.mat

invest=k(2:end)-(1-delta)*k(1:end-1);
NBc=c;
NBk=k;
NBinv=invest;
NBY=Y;
NBw=w;
NBr=r;
NBlambda=lambda;
NBMu=Mu;
NBs=s;
NBv=v;
NBu=1-n;
NBf=f;
NBq=q;
NBPhi=Phi;
NBmatch=match;
NBprod=theta;

load OB_IRF.mat

invest=k(2:end)-(1-delta)*k(1:end-1);
OBc=c;
OBk=k;
OBinv=invest;
OBY=Y;
OBw=w;
OBr=r;
OBlambda=lambda;
OBMu=Mu;
OBs=s;
OBv=v;
OBu=1-n;
OBf=f;
OBq=q;
OBPhi=Phi;
OBmatch=match;
OBprod=theta;

figure(1)

subplot(3,2,1)
h=plot(1:50,100*((OBprod(1:50)-1)./1),'r',1:50,100*((NBprod(1:50)-1)./1),':g',...
    1:50,100*((ANBprod(1:50)-1)./1),'--k',1:50,zeros(50,1),'--k');
title('Productivity')
legend('Benchmark', 'No FF, no recal', 'No FF, with recal')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(3,2,2)
h=plot(1:50,100*((OBY(1:50)-OBY(end))./OBY(end)),'r',1:50,100*((NBY(1:50)-...
    NBY(end))./NBY(end)),':g',1:50,100*((ANBY(1:50)-ANBY(end))./ANBY(end)),'--k',1:50,zeros(50,1),'--k');
title('Aggregate Output')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(3,2,3)
h=plot(1:50,100*((OBu(1:50)-OBu(end))./OBu(end)),'r',1:50,...
    100*((NBu(1:50)-NBu(end))./NBu(end)),':g',1:50,...
    100*((ANBu(1:50)-ANBu(end))./ANBu(end)),'--k',1:50,zeros(50,1),'--k');
title('Unemployment')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(3,2,4)
h=plot(1:50,100*((OBf(1:50)-OBf(end))./OBf(end)),'r',1:50,...
    100*((NBf(1:50)-NBf(end))./NBf(end)),':g',1:50,...
    100*((ANBf(1:50)-ANBf(end))./ANBf(end)),'--k',1:50,zeros(50,1),'--k');
title('Job Finding Rate')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(3,2,5)
h=plot(1:50,100*((OBPhi(1:50)-OBPhi(end))./OBPhi(end)),'r',1:50,...
    100*((NBPhi(1:50)-NBPhi(end))./NBPhi(end)),':g',1:50,...
    100*((ANBPhi(1:50)-ANBPhi(end))./ANBPhi(end)),'--k',1:50,zeros(50,1),'--k');
title('Labor Market Tightness')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(3,2,6)
h=plot(1:50,100*((OBlambda(1:50)-OBlambda(end))./OBlambda(end)),'r',1:50,...
    100*((NBlambda(1:50)-NBlambda(end))./NBlambda(end)),':g',1:50,...
    100*((ANBlambda(1:50)-ANBlambda(end))./ANBlambda(end)),'--k',1:50,zeros(50,1),'--k');
title('Shadow Price of Funds')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)


figure(2)

subplot(4,2,1)
h=plot(1:50,100*((OBv(1:50)-OBv(end))./OBv(end)),'r',1:50,100*((NBv(1:50)-NBv(end))./NBv(end)),':g',...
    1:50,100*((ANBv(1:50)-ANBv(end))./ANBv(end)),'--k',1:50,zeros(50,1),'--k');
title('Vacancies')
legend('Benchmark', 'No FF, no recal', 'No FF, with recal')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,2)
h=plot(1:50,100*((OBq(1:50)-OBq(end))./OBq(end)),'r',1:50,100*((NBq(1:50)-...
    NBq(end))./NBq(end)),':g',1:50,100*((ANBq(1:50)-ANBq(end))./ANBY(end)),'--k',1:50,zeros(50,1),'--k');
title('Vacancy Filling Rate')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,3)
h=plot(1:50,100*((OBmatch(1:50)-OBmatch(end))./OBmatch(end)),'r',1:50,...
    100*((NBmatch(1:50)-NBmatch(end))./NBmatch(end)),':g',1:50,...
    100*((ANBmatch(1:50)-ANBmatch(end))./ANBmatch(end)),'--k',1:50,zeros(50,1),'--k');
title('Matches')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,4)
h=plot(1:50,100*((OBs(1:50)-OBs(end))./OBs(end)),'r',1:50,...
    100*((NBs(1:50)-NBs(end))./NBs(end)),':g',1:50,...
    100*((ANBs(1:50)-ANBs(end))./ANBs(end)),'--k',1:50,zeros(50,1),'--k');
title('Shares')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,5)
h=plot(1:50,100*((OBc(1:50)-OBc(end))./OBc(end)),'r',1:50,...
    100*((NBc(1:50)-NBc(end))./NBc(end)),':g',1:50,...
    100*((ANBc(1:50)-ANBc(end))./ANBc(end)),'--k',1:50,zeros(50,1),'--k');
title('Consumption')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,6)
h=plot(1:50,100*((OBk(1:50)-OBk(end))./OBk(end)),'r',1:50,...
    100*((NBk(1:50)-NBk(end))./NBk(end)),':g',1:50,...
    100*((ANBk(1:50)-ANBk(end))./ANBk(end)),'--k',1:50,zeros(50,1),'--k');
title('Capital')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,7)
h=plot(1:50,100*((OBw(1:50)-OBw(end))./OBw(end)),'r',1:50,...
    100*((NBw(1:50)-NBw(end))./NBw(end)),':g',1:50,...
    100*((ANBw(1:50)-ANBw(end))./ANBw(end)),'--k',1:50,zeros(50,1),'--k');
title('Wages')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,8)
h=plot(1:50,100*((OBr(1:50)-OBr(end))./OBr(end)),'r',1:50,...
    100*((NBr(1:50)-NBr(end))./NBr(end)),':g',1:50,...
    100*((ANBr(1:50)-ANBr(end))./ANBr(end)),'--k',1:50,zeros(50,1),'--k');
title('Rental Rate on Capital')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)
