clear
clc
clear global

load No_FF_with_Recal_Order_4.mat

invest=k(2:end)-(1-delta)*k(1:end-1);
ANBc=c;
ANBk=k;
ANBinv=invest;
ANBY=Y;
ANBw=w;
ANBr=r;
ANBlambda=lambda;
ANBMu=Mu;
ANBs=s;
ANBv=v;
ANBu=1-n;
ANBf=f;
ANBq=q;
ANBPhi=Phi;
ANBmatch=match;
ANBprod=theta;
ANBp=p;

load No_FF_no_Recal_Order_4.mat

invest=k(2:end)-(1-delta)*k(1:end-1);
NBc=c;
NBk=k;
NBinv=invest;
NBY=Y;
NBw=w;
NBr=r;
NBlambda=lambda;
NBMu=Mu;
NBs=s;
NBv=v;
NBu=1-n;
NBf=f;
NBq=q;
NBPhi=Phi;
NBmatch=match;
NBprod=theta;
NBp=p;

load OB_Order_4.mat

invest=k(2:end)-(1-delta)*k(1:end-1);
OBc=c;
OBk=k;
OBinv=invest;
OBY=Y;
OBw=w;
OBr=r;
OBlambda=lambda;
OBMu=Mu;
OBs=s;
OBv=v;
OBu=1-n;
OBf=f;
OBq=q;
OBPhi=Phi;
OBmatch=match;
OBprod=theta;
OBp=p;

figure(1)

subplot(4,2,1)
h=plot(1:200,OBlambda(1:200),'r',1:200,NBlambda(1:200),':g',...
    1:200,ANBlambda(1:200),'--k');
title('Shadow Price of Funds')
legend('Benchmark', 'No FF, no recal', 'No FF, with recal')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,2)
h=plot(1:200,OBs(1:200),'r',1:200,NBs(1:200),':g',1:200,ANBs(1:200),'--k');
title('Shares')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,3)
h=plot(1:200,OBY(1:200),'r',1:200,NBY(1:200),':g',1:200,ANBY(1:200),'--k');
title('Aggregate Output')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,4)
h=plot(1:200,OBk(1:200),'r',1:200,NBk(1:200),':g',1:200,ANBk(1:200),'--k');
title('Capital')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,5)
h=plot(1:200,OBc(1:200),'r',1:200,NBc(1:200),':g',1:200,ANBc(1:200),'--k');
title('Consumption')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,6)
h=plot(1:200,OBw(1:200),'r',1:200,NBw(1:200),':g',1:200,ANBw(1:200),'--k');
title('Wages')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,7)
h=plot(1:200,OBp(1:200),'r',1:200,NBp(1:200),':g',1:200,ANBp(1:200),'--k');
title('Share Price')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,8)
h=plot(1:200,OBr(1:200),'r',1:200,NBr(1:200),':g',1:200,ANBr(1:200),'--k');
title('Capital Rental Rate')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)


figure(2)

subplot(4,2,1)
h=plot(1:200,OBlambda(1:200),'r',1:200,NBlambda(1:200),':g',...
    1:200,ANBlambda(1:200),'--k');
title('Shadow Price of Funds')
legend('Benchmark', 'No FF, with recal', 'No FF, no recal')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,2)
h=plot(1:200,OBs(1:200),'r',1:200,NBs(1:200),':g',1:200,ANBs(1:200),'--k');
title('Shares')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,3)
h=plot(1:200,OBu(1:200),'r',1:200,NBu(1:200),':g',1:200,ANBu(1:200),'--k');
title('Unemployment')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,4)
h=plot(1:200,OBv(1:200),'r',1:200,NBv(1:200),':g',1:200,ANBv(1:200),'--k');
title('Vacancies')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,5)
h=plot(1:200,OBPhi(1:200),'r',1:200,NBPhi(1:200),':g',1:200,ANBPhi(1:200),'--k');
title('Labor Market Tightness')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,6)
h=plot(1:200,OBmatch(1:200),'r',1:200,NBmatch(1:200),':g',1:200,ANBmatch(1:200),'--k');
title('Matches')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,7)
h=plot(1:200,OBf(1:200),'r',1:200,NBf(1:200),':g',1:200,ANBf(1:200),'--k');
title('Job Finding Rate')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)

subplot(4,2,8)
h=plot(1:200,OBq(1:200),'r',1:200,NBq(1:200),':g',1:200,ANBq(1:200),'--k');
title('Vacancy Filling Rate')
set(h(1),'linewidth',1)
set(h(2),'linewidth',1.5)
set(h(3),'linewidth',1)
